Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
VOL_dual Class Reference

`#include <OsiTestSolver.hpp>`

Collaboration diagram for VOL_dual:
[legend]

## Public Member Functions
| VOL_dual (const int dsize)
| VOL_dual (const VOL_dual &dual)
| ~VOL_dual ()
VOL_dual & | operator= (const VOL_dual &p)
void | step (const double target, const double lambda, const VOL_dvector &dual_lb, const VOL_dvector &dual_ub, const VOL_dvector &v)
double | ascent (const VOL_dvector &v, const VOL_dvector &last_u) const
void | compute_xrc (const VOL_dvector &pstarx, const VOL_dvector &primalx, const VOL_dvector &rc)

## Public Attributes
double | lcost
double | xrc
VOL_dvector | u

## Detailed Description

Definition at line 356 of file OsiTestSolver.hpp.

## Constructor & Destructor Documentation

VOL_dual::VOL_dual | ( | const int | dsize | ) |
| inline

Definition at line 366 of file OsiTestSolver.hpp.

VOL_dual::VOL_dual | ( | const VOL_dual & | dual | ) |
| inline

Definition at line 367 of file OsiTestSolver.hpp.

VOL_dual::~VOL_dual | ( |  | ) |
| inline

Definition at line 369 of file OsiTestSolver.hpp.

## Member Function Documentation

VOL_dual& VOL_dual::operator= | ( | const VOL_dual & | p | ) |
| inline

Definition at line 370 of file OsiTestSolver.hpp.

void VOL_dual::step | ( | const double | target,
|  | const double | lambda,
|  | const VOL_dvector & | dual_lb,
|  | const VOL_dvector & | dual_ub,
|  | const VOL_dvector & | v
| ) |  |

double VOL_dual::ascent | ( | const VOL_dvector & | v,
|  | const VOL_dvector & | last_u
| ) |  | const

void VOL_dual::compute_xrc | ( | const VOL_dvector & | pstarx,
|  | const VOL_dvector & | primalx,
|  | const VOL_dvector & | rc
| ) |  |

## Member Data Documentation

double VOL_dual::lcost

Definition at line 359 of file OsiTestSolver.hpp.

double VOL_dual::xrc

Definition at line 361 of file OsiTestSolver.hpp.

VOL_dvector VOL_dual::u

Definition at line 364 of file OsiTestSolver.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Osi/test/OsiTestSolver.hpp